Gecode::CPProfilerSearchTracer::GetInfo Class Referenceabstract

Class to send solution information to CPProfiler. More...

`#include <search.hh>`

## Public Member Functions

| GetInfo (void)
| Initialize.
virtual std::string | getInfo (const Space &home) const =0
| Return info for a space.
virtual | ~GetInfo (void)
| Delete.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Class to send solution information to CPProfiler.

Definition at line 423 of file search.hh.

## Constructor & Destructor Documentation

## GetInfo()

Gecode::CPProfilerSearchTracer::GetInfo::GetInfo | ( | void |  | ) |

Initialize.

Definition at line 49 of file tracer.cpp.

## ~GetInfo()

Gecode::CPProfilerSearchTracer::GetInfo::~GetInfo | ( | void |  | ) |

virtual

Delete.

Definition at line 51 of file tracer.cpp.

## Member Function Documentation

## getInfo()

virtual std::string Gecode::CPProfilerSearchTracer::GetInfo::getInfo | ( | const Space & | home | ) | const

pure virtual

Return info for a space.

Implemented in Gecode::Driver::ScriptGetInfo< BaseSpace >, and Gecode::FlatZinc::FlatZincGetInfo.

The documentation for this class was generated from the following files:

- gecode/search.hh
- gecode/search/cpprofiler/tracer.cpp